io.agora.rtc

## Enum Constants.UploadErrorReason

- java.lang.Object
- - java.lang.Enum<Constants.UploadErrorReason>
  - - io.agora.rtc.Constants.UploadErrorReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.UploadErrorReason>
  Enclosing class:
    Constants

      public static enum Constants.UploadErrorReason
      extends java.lang.Enum<Constants.UploadErrorReason>

  The upload error reasons.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `UPLOAD_NET_ERROR` 1: Network error during upload.
    `UPLOAD_SERVER_ERROR` 2: Server error during upload.
    `UPLOAD_SUCCESS` 0: Upload successful.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the upload error reason

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.UploadErrorReason` | `fromInt(int value)` Converts an integer value to its corresponding UploadErrorReason enum constant.
    `int` | `getValue()` Gets the integer value of the upload error reason.
    `static Constants.UploadErrorReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.UploadErrorReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPLOAD_SUCCESS

          public static final Constants.UploadErrorReason UPLOAD_SUCCESS

      0: Upload successful.

    - #### UPLOAD_NET_ERROR

          public static final Constants.UploadErrorReason UPLOAD_NET_ERROR

      1: Network error during upload.

    - #### UPLOAD_SERVER_ERROR

          public static final Constants.UploadErrorReason UPLOAD_SERVER_ERROR

      2: Server error during upload.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the upload error reason

  - ### Method Detail

    - #### values

          public static Constants.UploadErrorReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.UploadErrorReason c : Constants.UploadErrorReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.UploadErrorReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the upload error reason.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.UploadErrorReason fromInt(int value)

      Converts an integer value to its corresponding UploadErrorReason enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding UploadErrorReason, or null if the value is not found.